package androidlab.athiemann.exercise6;

import android.content.ContentResolver;
import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.provider.CalendarContract;

import java.util.Date;

public class CalendarChecker {
    static boolean isBusyOn(Date dt, Context ctx) {
        Cursor cur = null;
        ContentResolver cr = ctx.getContentResolver();
        Uri uri = CalendarContract.Events.CONTENT_URI;
        String selection = "((" + CalendarContract.Events.DTSTART + " >= ?) AND ("
                + CalendarContract.Events.DTEND + " <= ?) AND ("
                + CalendarContract.Events.AVAILABILITY + " = ?))";
        String[] selectionArgs =
                new String[]{
                        Long.valueOf(dt.getTime()).toString(),
                        Long.valueOf(dt.getTime()).toString(),
                        Boolean.valueOf(true).toString()
                };

        String[] projection =
            new String[] {
                CalendarContract.Events.CALENDAR_ID,
                CalendarContract.Events.TITLE,
                CalendarContract.Events.DESCRIPTION,
                CalendarContract.Events.DTSTART,
                CalendarContract.Events.DTEND
        };

        // TODO.
        cur = cr.query(uri, projection, selection, selectionArgs, null);

    }
}
